# Auto classify documents into DMS

Automatically classify files within a .zip file to the corresponding DMS directory(s).

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

1. Go to Documents / Configuration / Classification Templates and create a new template.
2. You can set patterns (regex expressions) for filenames and directories.

Example of filename pattern to use only .txt files: .txt$ Directory pattern example 1: Documents Directory pattern example 1: Documents / Data

If the pattern doesn’t contain path separators (/), the file name will be search across all the subdirectories.

# Usage

1. Go to Documents / Auto Classification and select a template and a .zip file.
2. Press the Analyze button
3. As many lines will be set as the number of files contained in the .zip file and apply the filename pattern.
4. The full path to the file will be displayed in each detail line.
5. Press the Classify button
6. The files (dms.file) will be created in the corresponding directories.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - Víctor Martínez
  - Pedro M. Baeza

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/dms project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.